#
# spec file for package gnome-internet-radio-locator
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gnome-internet-radio-locator
Version:        12.0.4
Release:        bp156.3.7
Summary:        Live Internet radio broadcaster discovery program
License:        GPL-3.0-or-later
Group:          Productivity/Multimedia/Sound/Utilities
URL:            https://wiki.gnome.org/Apps/InternetRadioLocator
Source0:        https://download.gnome.org/sources/gnome-internet-radio-locator/12.0/%{name}-%{version}.tar.xz

BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(champlain-gtk-0.12) >= 0.12.10
BuildRequires:  pkgconfig(geoclue-2.0) >= 2.5.7
BuildRequires:  pkgconfig(geocode-glib-1.0) >= 3.20
BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(gobject-2.0) >= 2.38.0
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.12.0
BuildRequires:  pkgconfig(gstreamer-player-1.0) >= 1.12.0
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0) >= 1.12.0
BuildRequires:  pkgconfig(gstreamer-video-1.0) >= 1.12.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.24.28
BuildRequires:  pkgconfig(libgeoclue-2.0) >= 2.5.7
BuildRequires:  pkgconfig(libxml-2.0) >= 2.0
BuildRequires:  pkgconfig(pangoft2) >= 0.28
Provides:       girl < 11
Obsoletes:      girl = 11

%description
GNOME Internet Radio Locator is a program that allows locating free
Internet radio stations by broadcasters with the help of a map.
It is developed with GNOME Maps, libchamplain and geocode-lib.

You can view all the stations in src/gnome-internet-radio-locator.xml
and enter city names in the GUI search input field in order to locate
radio stations in the city using the text search with auto-completion.

%lang_package

%prep
%autosetup -p1

%build
%configure \
	--with-recording \
	%{nil}
make %{?_smp_mflags}

%install
%make_install %{?_smp_mflags}
%find_lang %{name} %{?no_lang_C} %{name}.lang

%files
%license COPYING
%doc AUTHORS ChangeLog THANKS NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/icons/hicolor/1024x1024
%dir %{_datadir}/icons/hicolor/1024x1024/apps
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/metainfo/*.xml
%{_mandir}/man?/%{name}.?%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Tue Sep 28 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 12.0.4:
  + Updated translations.
* Thu Sep  2 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 12.0.3:
  + GUI: Add Search placeholder text.
- Changes from version 12.0.2:
  + New RadiOrakel (FM 99.3) stream.
- Changes from version 12.0.1:
  + Add a few more stations from SomaFM.
- Changes from version 12.0.0:
  + Add GeoClue code.
- Changes from version 11.12:
  + Updated documentation.
- Changes from version 11.10:
  + GUI: Use Geoclue to locate view.
- Changes from version 5.0.3:
  + Updated documentation.
- Changes from version 5.0.2 and 5.0.1:
  + Updated translations.
- Add pkgconfig(geoclue-2.0) BuildRequires: new dependency.
* Fri May 14 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 5.0.0:
  + Add a bunch of BBC radio stations.
- Drop upstream merged patch:
  + 0001-Fix-prototype-of-gtk_internet_radio_locator_radius.patch
* Fri Apr 30 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 4.0.2:
  + Updated translations.
- Add
  0001-Fix-prototype-of-gtk_internet_radio_locator_radius.patch:
  Fix build.
* Tue Dec  1 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 3.7.0:
  + Use GNOME 3.36 palette.
  + Updated translations.
* Tue Nov  3 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 3.6.0:
  + Build: Add "subdir('po')" Meson directive.
  + Stations: Add KUOW (Univ. of Washington).
- Changes from version 3.5.0:
  + Build: Add gnome-internet-radio-locator.gresource.xml.
  + Updated translations.
- Changes from version 3.4.0:
  + Updated documentation files (AUTHORS, THANKS).
- Changes from version 3.3.0:
  + Updated translations.
- Changes from version 3.2.0:
  + Minor build system tweaks.
- Changes from version 3.1.0:
  + Minor build system tweaks.
  + Updated translations.
* Thu Jul 23 2020 Dominique Leuenberger <dimstar@opensuse.org>
- Update to version 3.0.3:
  + Add Radio Ålesund, Norway.
- Changes from version 3.0.2:
  + Added stations: NRK P1 Telemark and NRK P1 Vestfold, Norway.
- Changes from version 3.0.1:
  + No code changes.
- Changes from version 3.0.0:
  + Added stations: NRK P1 Finnmark,  NRK P1 Hedmark og Oppland,
    NRK P1 Nordland, NRK P1 Troms, NRK P1 Trøndelag and
    Radio Norwegian, Norway.
- Changes from version 2.8.0:
  + Add RadioWaterloo (Ontario, Canada).
- Changes from version 2.5.0:
  + Add KPSU (Portland, Oregon).
- Changes from version 2.4.0:
  + Add Barcelona City FM (Barcelona, Catalonia).
- Changes from version 2.2.0:
  + New Map Marker Palette.
  + Update KASC (Phoenix, Arizona).
- Changes from version 2.1.5:
  + Update WHPK (Chicago, Illinois).
- Changes from version 2.1.4:
  + Updated translations.
- Changes from version 2.1.3:
  + Remove silence message.
- Changes from version 2.1.2:
  + Add Klanen Webradio (Vålerenga, Norway).
- Changes from version 2.1.1:
  + Add NRK Sápmi (Kárášjohka, Norway), Radio Alta (Alta, Norway)
    and Radio Nordkapp (Honningsvåg, Norway).
- Changes from version 2.1.0:
  + Add ANR (Aalborg, Denmark).
- Changes from version 2.0.9:
  + Add radioeins (Berlin, Germany).
- Changes from version 2.0.8:
  + Add marker for Bern, Switzerland.
- Changes from version 2.0.7:
  + Add Radio Brume (Lyon, France) and 1431 AM (Thessaloniki,
    Greece).
- Changes from version 2.0.6:
  + Update Cape Town, South Africa.
- Changes from version 2.0.5:
  + Add MBCFM (Dubai, Saudi Arabia).
- Changes from version 2.0.4:
  + Fancy Colors.
- Changes from version 2.0.3:
  + Updated translations only.
- Changes from version 2.0.2:
  + Add some more location markers.
- Changes from version 2.0.1:
  + Add WBUR (Boston, Massachusetts) and Midlar (Tórshavn, Faroe
    Islands).
- Changes from version 2.0.0:
  + No changelog information present.
- Changes from version 1.9.0:
  + Documentation: AMFM: Add information on AM/FM versus Internet
    broadcasts.
- Changes from version 1.8.0:
  + GUI changes: add status bar for station and various city
    markers.
  + Add Radio Aktywne (Warsaw), Radio Moreeni (Tampere),
  + Update DCUfm (Dublin), WHRB (Cambridge), WTBU (Boston) and WWNO
    (New Orleans).
- Changes from version 1.7.0:
  + Remove "for GNOME 3" in the build spec template.
  + Update Echo Moscow (Эхо Москвы).
- Changes from version 1.6.0:
  + Appdata Install appdata in /usr/share/metainfo (boo#1517451).
  + build: Remove dependency on gstreamer-plugins-good-1.0 codec.
  + Add markers for Copenhagen, Denmark and Stockholm, Sweden.
- Changes from version 1.5.0:
  + build: Add dependencies on gstreamer-plugins-bad-1.0,
    gstreamer-plugins-base-1.0 and gstreamer-plugins-good-1.0
  + Updated translations.
- Add pkgconfig(gstreamer-plugins-base-1.0) and
  pkgconfig(gstreamer-plugins-bad-1.0) BuildRequires: new
  dependencies.
* Sat Jan 25 2020 Dominique Leuenberger <dimstar@opensuse.org>
- No longer recommend -lang: supplements are in use
* Fri Jun  1 2018 bjorn.lie@gmail.com
- Drop no longer needed nor used pkgconfig(gnome-vfs-2.0)
  BuildRequires.
* Tue May 29 2018 bjorn.lie@gmail.com
- Update to version 1.4.0:
  + Add various radio stations.
- Changes from version 1.3.0:
  + Add various radio stations.
- Drop girl-add-missing-return.patch: No longer needed, fixed in a
  different way upstream.
* Tue May 29 2018 dimstar@opensuse.org
- Upgrade license to GPL-3.0-or-newer: the sources are a mix for
  GPl-2.0+ and GPL-3.0+, making GPL-3.0-or-newer the leader.
* Sun May 20 2018 bjorn.lie@gmail.com
- Update to version 1.2.0:
  + Add various radio stations.
* Fri May 18 2018 jengelh@inai.de
- Use nominal phrase for summary. Compact description to the gist.
* Fri May 11 2018 bjorn.lie@gmail.com
- Update to version 1.1.3:
  + Set colors for clutter labels.
  + Updated translations.
- Changes from version 1.1.2:
  + Add various radio stations.
- Changes from version 1.1.1:
  + Add various radio stations.
  + Updated translations.
- Changes from version 1.1.0:
  + Add various radio stations.
  + Updated translations.
- Changes from version 1.0.9:
  + Update installation instruction.
  + Build fixes.
  + Updated translations.
- Drop pkgconfig(gsettings-desktop-schemas) BuildRequires following
  upstream changes.
* Sat Apr 14 2018 bjorn.lie@gmail.com
- Update to version 1.0.8:
  + Updated translations.
* Fri Mar 30 2018 bjorn.lie@gmail.com
- Initial packaging of gnome-internet-radio-locator.
